//
//
// Ce fichier est comporte les paramètres de fonctionnement du programme
//      - intervalle entre deux émissions
//      - topic MQTT
//
//
//-----------------------------------
// Autorise ou non l'allumage de la led pendant tout le processus de mesure et d'émission

  bool allumage_led = true;

//-----------------------------------
// Time out pour la connection Wifi 
// en secondes
unsigned long timeout_connection_wifi = 15;

//-----------------------------------
// Time out pour la connection au broker
// en secondes
unsigned long timeout_connection_broker = 15;

//-----------------------------------
// Intervalle entre deux émission
// exprimé en secondes
unsigned long intervalle_entre_deux_emission = 20;    // 1800 secondes = 30 minutes

//------------------------------------
// Topic MQTT
//------------------------------------
char* topic_mqtt1 = "";
char* topic_mqtt2 = "";
char* topic_mqtt3 = "";

//------------------------------------
// Tension de séparation charge / batterie
//------------------------------------
// permet de définir au dessus de quel seui lon est en charge ou sur batterie
int tension_separation_charge_batterie = 3950;

//------------------------------------
//  Flag bloquant le programme si on est en charge
//------------------------------------
//  si à true : le programme se réduit à la mise en veille
//  si à false : le programme réalise la mesure, l'allumage de la led, la connection Wifi et l'émission des valeurs
bool bloquage_programme_en_charge = true;


  
